import { SourceBase } from './SourceBase';
export class UrlSource extends SourceBase {
    constructor() {
        super();
        this.nativeGetUri = () => {
            return this.mUri;
        };
        this.nativeSetUri_ = (q42) => {
            this.mUri = q42;
        };
        this.nativeGetExtraInfo = () => {
            return this.mExtraInfo;
        };
        this.nativeSetExtraInfo = (p42) => {
            this.mExtraInfo = p42;
        };
        this.nativeGetCacheFilePath = () => {
            return this.mCacheFilePath;
        };
        this.nativeSetCacheFilePath = (o42) => {
            this.mCacheFilePath = o42;
        };
        this.nativeGetOriginSize = () => {
            return this.mOriginSize;
        };
        this.nativeSetOriginSize = (n42) => {
            this.mOriginSize = n42;
        };
        this.mUri = "";
        this.mCacheFilePath = "";
        this.mQuality = "AUTO";
        this.mForceQuality = true;
        this.mOriginSize = 0;
        this.mExtraInfo = "";
    }
    getUri() {
        return this.mUri;
    }
    getExtraInfo() {
        return this.mExtraInfo;
    }
    setExtraInfo(e42) {
        this.mExtraInfo = e42;
    }
    setUri(d42) {
        this.mUri = d42;
    }
    getCacheFilePath() {
        return this.mCacheFilePath;
    }
    setCacheFilePath(c42) {
        this.mCacheFilePath = c42;
    }
    getOriginSize() {
        return this.mOriginSize;
    }
    setOriginSize(b42) {
        this.mOriginSize = b42;
    }
}
